<div class="welcome_bloc">
    <h3 style="font-size:22px"><?php esc_html_e("API Settings", "lws-sms")?></h3>
    <!-- When going normally (admin) -->
    <?php if (current_user_can('administrator')):?>
        <!-- Checkboxes -->
        
        <?php if (isset($update_sms)) :?>
                <div class="success_message"> <?php esc_html_e("Your settings have been updated", "lws-sms")?></div>
        <?php endif ?>
        
        <?php if (empty($models)) : ?>
            <div class="error_message"> <?php esc_html_e("You do not have any templates. Please create at least one to use this functionality.", "lws-sms")?></div>
        <?php endif ?>
        <form method="POST">
            <div class="account_checkbox phone_sms">
                <?php $user = wp_get_current_user(); ?>
                <label for="phone_sms"><?php esc_html_e( 'Enter your phone number to receive SMS: ', "lws-sms" );?></label> <br>
                <div class="input_phone">
                    <?php require plugin_dir_path(__DIR__) . "php/select_country.php";?>
                    <input type="tel" name="phone_sms" id="phone_sms" value=<?php echo esc_attr (get_user_meta(wp_get_current_user()->ID, 'phone_sms_print', true));?>>
                </div>
                <small><?php esc_html_e('Do not add the country code to your number.', "lws-sms");?></small>
                <br>
                <div style="text-align:right">
                    <input class="button_connect" name="update_phone_sms" type="submit" id="update_phone_sms" value="<?php esc_attr_e("Update", "lws-sms")?>">
                </div>
            </div>
        </form>
        
        <br>
        
        <?php $sender_model = ""?>
            <fieldset>
            <div class="checkboxes_columns">
                <!--For each hooks, create a checkbox and its select -->
                <div class="bloc_checkboxes left">
                    <legend><h3 class="title_checkboxes"><?php esc_html_e("Check when are SMS sent to clients: ", "lws-sms");?></h3></legend>
                    <?php foreach (HOOKS as $key => $hook):?>
                        <form method="POST" id="<?php echo esc_attr("form_" . $hook)?>">
                            <div class="account_checkbox">
                                <header class="account_checkbox_header"> <span class="header-title"><?php esc_html_e(HOOKS_TRAD[$key], 'lws-sms');?></span> </header>
                                <input type="hidden" name="<?php echo esc_attr("hidden_hook_" . $hook);?>" id="<?php echo esc_attr("hidden_hook_" . $hook);?>" value="<?php echo esc_attr($hook . "|" . $key);?>">
                                <br>
                                <label for="<?php echo esc_attr('order_' . $hook);?>"><?php echo  esc_html(__('Send a SMS when: ', "lws-sms") . '"' . __(HOOKS_TRAD[$key], 'lws-sms') . '"');?>
                                <!-- If its saved state is checked, check the checkbox and show the select -->
                                <input type="checkbox" class="checkbox" id="<?php echo esc_attr('order_' . $hook);?>" name="<?php echo esc_attr('order_' . $hook);?>" <?php echo $checked_options[$hook]['is_checked'] ? "checked" : ""?>> <br></label>
                                <br>
                                    <label for="<?php echo esc_attr('select_' . $hook);?>"><?php esc_html_e("Select a template: ", "lws-sms")?></label>
                                    <br>
                                    <select class="form_input" name="<?php echo esc_attr('select_' . $hook);?>" id="<?php echo esc_attr('select_' . $hook);?>">
                                        <option value="NO">---  ---</option>
                                        <!-- Pre-select the option that is active and show it while creating the options -->
                                        <?php foreach (get_option("lws_model_list") as $key => $value) :?>
                                                <?php if ($value['id'] == $checked_options[$hook]['used']):?>
                                                    <?php $sender_model = $value['sender'];?>
                                                    <option selected value="<?php echo esc_attr($value['name']);?>"><?php echo esc_html($value['name']);?></option>
                                                <?php else:?>
                                                    <?php echo esc_html($value['name']);?>
                                                    <option value="<?php echo esc_attr($value['name']);?>"><?php echo esc_html($value['name']);?></option>
                                                <?php endif ?>
                                        <?php endforeach ?>
                                    </select>
                                <?php if ($hook == 'sessions'): ?>
                                        <br> <br>
                                        <label for="<?php echo esc_attr('select_time_' . $hook);?>"><?php esc_html_e("Alert after: ", "lws-sms")?></label>
                                        <br>
                                        <select class="form_input" name="<?php echo esc_attr('select_time_' . $hook);?>" id="<?php echo esc_attr('select_time_' . $hook);?>">
                                            <option value="NO">---  ---</option>
                                            <?php $tab = array("1" => "hour", "3" => "three", "6" => "six", "12" => "twelve", "24" => "twentyfour");?>
                                            <?php foreach ($tab as $key => $time):?>   
                                                <?php if ($time == $timer_cron): ?>
                                                    <option selected value="<?php echo esc_attr($time);?>"><?php echo esc_html($key . __(" hours", "lws-sms"));?></option>
                                                <?php else :?>
                                                    <option value="<?php echo esc_attr($time);?>"><?php echo esc_html($key . __(" hours", "lws-sms"));?></option>
                                                <?php endif ?>
                                            <?php endforeach?>
                                        </select>
                                        <?php if ($timer_cron): ?>
                                            <br><small><label><?php esc_html_e("Next check: ", "lws-sms"); echo esc_html(gmdate("[Y-m-d] : H:i:s", wp_next_scheduled ('check_sessions_cron')));?></label></small>
                                        <?php endif ?>
                                <?php endif ?>
                                <div style="text-align:right; margin-top:10px">
                                    <?php if (empty($models)) : ?>
                                        <input disabled class="button_connect" type="button" value="<?php esc_attr_e("Update", "lws-sms")?>">
                                    <?php else : ?>
                                        <button class="button_connect" id="<?php echo esc_attr("update_sms_" . $hook)?>" name="<?php echo esc_attr("update_sms_" . $hook)?>" type="submit"><span id="<?php echo esc_attr("button_update_" . $hook);?>"><?php esc_html_e("Update", "lws-sms")?></span><span style="vertical-align: text-top;" class="hidden" id="<?php echo esc_attr("button_gif_" . $hook)?>"><img src="<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'images/loading.gif')?>"></span><span class="hidden" style="vertical-align: text-top; color:green;" id="<?php echo esc_attr("button_success_" . $hook)?>"><span><?php esc_html_e("Saved", "lws-sms")?></span> &nbsp;<img style="margin-top:-2px" width="15px" src="<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'images/check.svg')?>"></span></button>
                                    <?php endif ?>
                                </div>
                            </div>
                            <br>
                            </form>
                    <?php endforeach ?>
                </div>
                
                <!--For each hooks, create a checkbox and its select -->
                <div class="bloc_checkboxes right">
                    <legend><h3><?php esc_html_e("Check when are SMS sent to you: ", "lws-sms");?></h3></legend>
                    
                    <?php foreach (ADMIN_HOOKS as $key => $hook):?>
                        <form method="POST" id="<?php echo esc_attr("form_" . $hook)?>">
                            <div class="account_checkbox">
                                <header class="account_checkbox_header"> <?php esc_html_e(ADMIN_HOOKS_TRAD[$key], 'lws-sms');?> </header>
                                <input type="hidden" name="<?php echo esc_attr("hidden_hook_" . $hook);?>" id="<?php echo esc_attr("hidden_hook_" . $hook);?>" value="<?php echo esc_attr($hook . "|" . $key);?>">
                                <br>
                                <label for="<?php echo esc_attr('order_' . $hook);?>"><?php echo esc_html(__('Send a SMS: ', "lws-sms") . '"' . __(ADMIN_HOOKS_TRAD[$key], 'lws-sms') . '"');?>
                                <input type="checkbox" class="checkbox" id="<?php echo esc_attr('order_' . $hook);?>" name="<?php echo esc_attr('order_' . $hook);?>" <?php echo $checked_options[$hook]['is_checked'] ? esc_attr("checked") : ""?>> <br></label>
                                <br>
                                <label for="<?php echo esc_attr('select_' . $hook);?>"><?php esc_html_e("Select a template: ", "lws-sms")?></label>
                                <br>
                                    <select class="form_input" name="<?php echo esc_attr('select_' . $hook);?>" id="<?php echo esc_attr('select_' . $hook);?>">
                                        <option value="NO">---  ---</option>
                                        <!-- Pre-select the option that is active and show it while creating the options -->
                                        <?php foreach (get_option("lws_model_list") as $key => $value) :?>
                                                <?php if ($value['id'] == $checked_options[$hook]['used']):?>
                                                    <?php $sender_model = $value['sender'];?>
                                                    <option selected value="<?php echo esc_attr($value['name']);?>"><?php echo esc_html($value['name']);?></option>
                                                <?php else:?>
                                                    <?php echo esc_html($value['name']);?>
                                                    <option value="<?php echo esc_attr($value['name']);?>"> <?php echo esc_html($value['name']);?> </option>
                                                <?php endif ?>
                                        <?php endforeach ?>
                                    </select>
                                
                                <?php if ($hook == "dailies" && wp_next_scheduled ('daily_logs_cron')): ?>
                                    <br><small><label><?php esc_html_e("Next log: ", "lws-sms"); echo esc_html(gmdate("[Y-m-d] : H:i:s", wp_next_scheduled ('daily_logs_cron')));?></label></small>
                                <?php endif ?>
                                <div style="text-align:right; margin-top:10px">
                                    <?php if (empty($models)) : ?>
                                        <input disabled class="button_connect" type="button" value="<?php esc_attr_e("Update", "lws-sms")?>">
                                    <?php else : ?>
                                        <button class="button_connect" id="<?php echo esc_attr("update_sms_" . $hook)?>" name="<?php echo esc_attr("update_sms_" . $hook)?>" type="submit"><span id="<?php echo esc_attr("button_update_" . $hook);?>"><?php esc_html_e("Update", "lws-sms")?></span><span class="hidden" style="vertical-align: text-top;" id="<?php echo esc_attr("button_gif_" . $hook)?>"><img src="<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'images/loading.gif')?>"></span><span class="hidden" style="vertical-align: text-top; color:green" id="<?php echo esc_attr("button_success_" . $hook)?>"><span><?php esc_html_e("Saved", "lws-sms")?></span> &nbsp;<img style="margin-top:-2px" width="15px" src="<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'images/check.svg')?>"></span></button>
                                    <?php endif ?>
                                </div>
                            </div>
                            <br>                                
                        </form>
                    <?php endforeach ?>
                </div>
            </div>   
            <br>
            </fieldset>


        <!-- END Checkboxes -->
    <?php endif ?>
</div>

<script>
    <?php foreach (HOOKS as $key => $hook):?>
        var <?php echo esc_html("interval_" . $hook) ?>

    // this is the id of the form
        jQuery("<?php echo esc_html("#form_" . $hook)?>").submit(function(e) {
            e.preventDefault(); // avoid to execute the actual submit of the form.
    
            var form = jQuery(this);
            jQuery("<?php echo esc_html("#update_sms_" . $hook);?>").prop('disabled', true);
            jQuery("<?php echo esc_html("#button_success_" . $hook);?>").addClass('hidden');
            jQuery("<?php echo esc_html("#button_update_" . $hook);?>").addClass('hidden');
            jQuery("<?php echo esc_html("#button_gif_" . $hook);?>").removeClass('hidden');
            
            info_hook = jQuery('#hidden_hook_' + "<?php echo esc_html($hook)?>").val();
            template = jQuery('#select_' + "<?php echo esc_html($hook)?>").val();
            checked = jQuery('#order_' + "<?php echo esc_html($hook)?>").prop('checked');
            sessions = jQuery('#select_time_sessions').val();

    
            var data = {
                action: "automation_update",
                ajax_info_hook : info_hook,
                ajax_template : template,
                ajax_checked : checked,
                ajax_sessions : sessions,
		    };

		    jQuery.post(ajaxurl, data, function(response) {
                jQuery("<?php echo esc_html("#button_gif_" . $hook);?>").addClass('hidden');
                jQuery("<?php echo esc_html("#button_success_" . $hook);?>").removeClass('hidden');
                clearInterval(<?php echo esc_html("interval_" . $hook);?>);
                <?php echo esc_html("interval_" . $hook)?> = setTimeout(function() {
                    jQuery("<?php echo esc_html("#button_success_" . $hook);?>").addClass('hidden');
                    jQuery("<?php echo esc_html("#button_update_" . $hook);?>").removeClass('hidden');
                    jQuery("<?php echo esc_html("#update_sms_" . $hook);?>").prop('disabled', false);
                }, 2500);
                
                if (response == -1){
                    jQuery("<?php echo esc_html('#order_' . $hook);?>").prop('checked', false);
                }
                else if (response == 1){
                    jQuery("<?php echo esc_html('#order_' . $hook);?>").prop('checked', true);
                }		    
		    });
        });
    <?php endforeach ?>
    
    <?php foreach (ADMIN_HOOKS as $key => $hook):?>
        var <?php echo esc_html("interval_" . $hook);?>;

    // this is the id of the form
        jQuery("<?php echo esc_html("#form_" . $hook);?>").submit(function(e) {
            e.preventDefault(); // avoid to execute the actual submit of the form.
    
            var form = jQuery(this);
            jQuery("<?php echo esc_html("#update_sms_" . $hook);?>").prop('disabled', true);
            jQuery("<?php echo esc_html("#button_success_" . $hook);?>").addClass('hidden');
            jQuery("<?php echo esc_html("#button_update_" . $hook);?>").addClass('hidden');
            jQuery("<?php echo esc_html("#button_gif_" . $hook);?>").removeClass('hidden');
            
            info_hook = jQuery('#hidden_hook_' + "<?php echo esc_html($hook)?>").val();
            template = jQuery('#select_' + "<?php echo esc_html($hook)?>").val();
            checked = jQuery('#order_' + "<?php echo esc_html($hook)?>").prop('checked');
            sessions = jQuery('#select_time_sessions').val();

            var data = {
                action: "automation_update",
                ajax_info_hook : info_hook,
                ajax_template : template,
                ajax_checked : checked,
                ajax_sessions : sessions,
		    };

		    jQuery.post(ajaxurl, data, function(response) {
                jQuery("<?php echo esc_html("#button_gif_" . $hook);?>").addClass('hidden');
                jQuery("<?php echo esc_html("#button_success_" . $hook);?>").removeClass('hidden');
                clearInterval(<?php echo esc_html("interval_" . $hook)?>);
                <?php echo esc_html("interval_" . $hook)?> = setTimeout(function() {
                    jQuery("<?php echo esc_html("#button_success_" . $hook);?>").addClass('hidden');
                    jQuery("<?php echo esc_html("#button_update_" . $hook);?>").removeClass('hidden');
                    jQuery("<?php echo esc_html("#update_sms_" . $hook)?>").prop('disabled', false);
                }, 2500);
                
                if (response == -1){
                    jQuery("<?php echo esc_html('#order_' . $hook);?>").prop('checked', false);
                }
                else if (response == 1){
                    jQuery("<?php echo esc_html('#order_' . $hook);?>").prop('checked', true);
                }		    
		    });
        });
    <?php endforeach ?>
</script>
