<div class="welcome_bloc">
    <h3 style="font-size:22px"><?php esc_html_e("SMS History", "lws-sms");?></h3>

    <?php $arr = array('b' => array(), );?>
    
    <p>
        <?php echo wp_kses(__("Here is your SMS History, where <b>up to 5000 SMS</b> are recorded. Please be aware that older SMS will <b>not</b> be shown.", "lws-sms"), $arr);?> <br>
        <?php esc_html_e("Everything about your SMS is visible from here: Sender, Recipient, Content, Quantity, Status and Date.", "lws-sms");?> <br>
        <?php esc_html_e("The integrated search bar will allows you to look for any SMS matching your query.", "lws-sms");?> <br>
    </p>
    
    <br>
    
    <table id="list_history" class="styled-table nowrap">
        <thead>
            <tr>
                <th>
                    <?php esc_html_e("Created", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Recipient", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Message", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Sender", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Number of", "lws-sms");?> <br> <?php esc_html_e("SMS sent", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Status", "lws-sms");?>
                </th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($list_history as $history) :?>
            <tr>
                <td>
                    <?php echo esc_html( $history['created_at']); ?>
                </td>
                <td>
                    <?php if (empty($user)) : ?>
                        <?php echo esc_html( $history['receiver']); ?>
                    <?php else : ?>
                        <?php foreach ($users as $key => $user) : ?>
                            <?php if ($user == $history['receiver']) : ?>
                                <?php echo esc_html( $key )?>
                                <br>
                                <?php echo esc_html( $history['receiver']); ?>
                                <?php break; ?>
                            <?php else : ?>
                                <?php echo esc_html( $history['receiver']); break; ?>
                            <?php endif ?>
                        <?php endforeach ?>
                    <?php endif ?>
                </td>
                <td>
                    <?php echo ( wordwrap(esc_html($history['message']), 50, "<br />\n")); ?>
                </td>
                <td>
                    <?php echo esc_html( $history['sender']); ?>
                </td>
                <td>
                    <?php echo esc_html( $history['amount']); ?>
                </td>
                <td>
                    <?php echo esc_html( explode("|", $history['status'])[0]); ?>
                </td>
            </tr>
                <?php endforeach ?>
        </tbody>
    </table>

<script>
jQuery(document).ready(function() {
    var table = jQuery('#list_history').DataTable( {
        rowReorder: {
            selector: 'td:nth-child(2)'
        },
        "order": [[ 0, "desc" ]],
        responsive: true,
        lengthMenu: [
            [10, 25, 50, -1],
            [10, 25, 50, 'All'],
        ],
     <?php if(get_locale() == 'fr_FR') : ?>
        language: {
            url: "<?php echo (esc_url( plugin_dir_url( __DIR__ ) . 'languages/fr-FR.json'))?>"
        }
    <?php endif ?>
    });
});
</script>
</div>