<?php //If connected
if ((get_option("lws_sender_id"))|| (get_option("lws_user_sms")) ) :?>
<div class="welcome_bloc">
    <h3 style="font-size:22px"><?php esc_html_e("SMS Campaigns", "lws-sms");?></h3>

    <p>
        <?php esc_html_e("This page allows you to send a SMS to any clients having authorized the reception of advertisements.", "lws-sms");?> <br>
        <?php esc_html_e("Please be aware that it may consume a large amount of credits, which will be indicated at the bottom of the page.", "lws-sms");?> <br>
        <?php esc_html_e("To use this service, you need to possess at least one active sendor ID and at least one client need to be in the list.", "lws-sms");?> <br>
    </p>

    <br>
    
    <?php if ($sms_sent == 1 ) :?>
        <div class="success_message"> <?php printf(esc_html__("Your SMS has succesfully been sent", "lws-sms"), $sms_sent)?></div>
    <?php elseif ($sms_sent >= 2) : ?>
        <div class="success_message"> <?php printf(esc_html__("%d SMS have succesfully been sent", "lws-sms"), $sms_sent)?></div>
    <?php elseif ($sms_sent == 0) : ?>
        <div class="error_message"> <?php esc_html_e("No SMS have been sent", "lws-sms")?></div>
    <?php endif ?>
    
    <?php if ($empty_template) :?>
        <div class="error_message"> <?php esc_html_e("Please choose a valid template to send a SMS", "lws-sms")?></div>
    <?php endif ?>
    
    <?php if ($no_balance) :?>
        <div class="error_message"> <?php esc_html_e("You do not have enough balance to send this SMS", "lws-sms")?></div>
    <?php endif ?>
    
    <form class="form_campaign" method="POST">  
        <div class="checkbox_template_campaign">  
            <label class="checkbox" for="model_or_not"><?php esc_html_e("Send a SMS from a template", "lws-sms")?>
                <input type="checkbox" name="model_or_not" id="model_or_not">
            </label>
        </div>
        <br>
        <!-- Block to write & send a SMS -->
        <fieldset id="form_model">
                <div class="bloc_market" id="variables">
                    <button class="button_connect variable" type="button" value="[[Nom]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Name", "lws-sms");?></button>
                    <button class="button_connect variable" type="button" value="[[Prenom]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("First name", "lws-sms");?></button>
                    <button class="button_connect variable" type="button" value="[[Adresse]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Address", "lws-sms");?></button>
                    <button class="button_connect variable" type="button" value="[[Date]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Date", "lws-sms");?></button>
                    <button class="button_connect variable" type="button" value="[[NomSite]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Website Name", "lws-sms");?></button>
                    <button class="button_connect variable" type="button" value="[[URLSite]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Website URL", "lws-sms");?></button>
                </div>
                <label id="label_template" name="label_template" for="marketing_model"><?php esc_html_e("Write your SMS: ", "lws-sms");?><br></label>
                <div id="bloc_ta_filtre" class="bloc_ta_filtre">
                    <textarea rows="10" class="bloc_ta" id="marketing_model" name="marketing_model" required placeholder="<?php esc_html_e("Write your SMS here. You can use the tags above to personnalize your SMS.", "lws-sms")?>"></textarea>
                    <div class="bloc_filter_sms" id="bloc_filter_sms">
                        <label for="filter"><?php esc_html_e("Filters: ", "lws-sms")?> </label><br>
                        <select class="form_input" id="filter" name="filter">
                            <option selected value="NO">--- ---</option>
                            <option value="country"><?php esc_html_e("Only to clients from a specific country", "lws-sms")?></option>
                            <option value="return"><?php esc_html_e("Only to clients already having ordered before", "lws-sms")?></option>
                            <option value="month_old"><?php esc_html_e("Only to new clients", "lws-sms")?></option>
                            <option value="month_ten"><?php esc_html_e("Only to old clients", "lws-sms")?></option>
                        </select>


                        <?php include __DIR__ . "/../php/select_country_code.php" ?>
                        
                        <br><br>

                        <label for="senders"><?php esc_html_e("Sender: ", "lws-sms")?> </label><br>
                        <select class="form_input" id="senders" name="senders">
                            <?php foreach ($senders as $key => $value) :?>
                                <option value="<?php echo esc_attr($value);?>"><?php echo esc_html($value);?></option>
                            <?php endforeach ?>
                        </select>

                        <br>

                        {<span id="count_clients"><?php echo esc_html(count($clients_ok))?></span>}<span><?php esc_html_e(" person(s) will receive this SMS", "lws-sms")?></span> &nbsp; <br>
                        {<span id="nb_sms_send"></span>}<span id="sms_send_msg"><?php esc_html_e(" SMS will be sent and your balance will go down to: ", "lws-sms")?></span>
                        <span id="nb_sms_credit"></span></span>
                    </div>
                </div>
                <div id="char_count_and_select_and_send">
                    <small id="number_char">0/160</small>
                    <small><?php esc_html_e("character(s) | ", "lws-sms");?></small><small>SMS: </small>
                    <small><input class="nb_sms" name="number_message" id="number_message" readonly value=1></small>
                    <br>
                    <small><?php esc_html_e("If you are using tags, please be aware that this value is but an approximation as the real text behind the tags could be longer or shorter.", "lws-sms")?> </small>
                    <br>
                <input id="send_sms_market" name="send_sms_market" class="button_connect" type="submit" value="<?php esc_attr_e("Send", "lws-sms");?>"/>
                </div>
        </fieldset>
        <br>
        <!-- Select & Button to send a SMS with a template -->
        <fieldset class="show" id='select_from_model'>
            <label for="models"><?php esc_html_e("Template: ", "lws-sms")?> </label><br>
            <select class="form_input" id="models" name="models">
                <option selected value="NO">--- ---</option>
                <?php foreach ($models as $key => $model) :?>
                    <option value="<?php echo esc_attr($model['name']);?>"><?php echo esc_html($model['name']);?></option>
                <?php endforeach ?>
            </select>
            <input id="send_sms_market_model" name="send_sms_market_model" class="button_connect" type="submit" value="<?php esc_attr_e("Send", "lws-sms");?>"/>
        </fieldset>
    </form>
    
    
    <script>
        var clients = <?php echo esc_html(count($clients_ok))?>;
        var balance = <?php echo esc_html($SMSBalance)?>;
        var clients_country = <?php echo (json_encode($client_filter_country))?>;
        var select = document.querySelector("#models");
        var checkbox = document.querySelector("#model_or_not");
        let typingTimer;                //timer identifier
        let doneTypingInterval = 500;  //time in ms
        var sms = jQuery('#marketing_model');
        var select_filter = document.querySelector("#filter");
        var select_country = document.querySelector("#country_value");
        

        
        //Check the checkbox and show or not the desired options
        checkbox.addEventListener('change', function() {
            if (this.checked) {
                jQuery("#variable").addClass("show");
                jQuery("#bloc_filter_sms").addClass("filter_with_template");
                jQuery("#bloc_filter_sms").removeClass("bloc_filter_sms");
                jQuery("#variables").addClass("show");
                jQuery("#char_count_and_select_and_send").addClass("show");
                jQuery("#marketing_model").addClass("show");
                jQuery("#label_template").addClass("show");
                jQuery("#select_from_model").removeClass("show");
                jQuery("#bloc_ta_filtre").removeClass("bloc_ta_filtre");
                
                sms.prop('required', false);
            }
            //If unchecked, return the number of SMS to the value of before
            else {
                jQuery("#variable").removeClass("show");
                jQuery("#bloc_filter_sms").removeClass("filter_with_template");
                jQuery("#bloc_filter_sms").addClass("bloc_filter_sms");
                jQuery("#variables").removeClass("show");
                jQuery("#char_count_and_select_and_send").removeClass("show");
                jQuery("#marketing_model").removeClass("show");     
                jQuery("#label_template").removeClass("show");           
                jQuery("#select_from_model").addClass("show");
                jQuery("#bloc_ta_filtre").addClass("bloc_ta_filtre");
                sms.prop('required', true);
                lws_sms_charSMS()
                select.value = "";
            }
        });

        //When changing which filter to apply
        select_filter.addEventListener('change', function() {
            switch(this.value){
                case "country":
                    jQuery("#country_value").removeClass("show");
                    if(jQuery("#country_value").val() != ''){
                        var count = 0;
                        for (var key in clients_country) {
                            if (clients_country[key] == jQuery("#country_value").val()) {
                            count++;
                            }
                        }
                        clients = count;
                        jQuery("#count_clients").text(parseInt(clients));
                        jQuery("#nb_sms_send").text(num_sms * parseInt(clients));
                        jQuery("#nb_sms_credit").text(balance - num_sms * parseInt(clients));
                        if (balance - num_sms * parseInt(clients) < 0){
                            jQuery("#send_sms_market").prop('disabled', true);
                            jQuery("#send_sms_market_model").prop('disabled', true);
                            jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
                        }
                        else{
                            jQuery("#send_sms_market").prop('disabled', false);
                            jQuery("#send_sms_market_model").prop('disabled', false);
                        }
                    }
                    break;
                case "return":
                    clients = <?php echo esc_html(count($client_filter_returning))?>;
                    jQuery("#count_clients").text(parseInt(clients));
                    jQuery("#country_value").addClass("show");
                    jQuery("#nb_sms_send").text(num_sms * parseInt(clients));
                    jQuery("#nb_sms_credit").text(balance - num_sms * parseInt(clients));
                    if (balance - num_sms * parseInt(clients) < 0){
                        jQuery("#send_sms_market").prop('disabled', true);
                        jQuery("#send_sms_market_model").prop('disabled', true);
                        jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
                    }
                    else{
                        jQuery("#send_sms_market").prop('disabled', false);
                        jQuery("#send_sms_market_model").prop('disabled', false);
                    }
                    break;
                case "month_old":
                    clients = <?php echo esc_html(count($client_filter_registered_1_month))?>;
                    jQuery("#count_clients").text(parseInt(clients));
                    jQuery("#country_value").addClass("show");
                    jQuery("#nb_sms_send").text(num_sms * parseInt(clients));
                    jQuery("#nb_sms_credit").text(balance - num_sms * parseInt(clients));
                    if (balance - num_sms * parseInt(clients) < 0){
                        jQuery("#send_sms_market").prop('disabled', true);
                        jQuery("#send_sms_market_model").prop('disabled', true);
                        jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
                    }
                    else{
                        jQuery("#send_sms_market").prop('disabled', false);
                        jQuery("#send_sms_market_model").prop('disabled', false);
                    }
                    break;
                case "month_ten":
                    clients = <?php echo esc_html(count($client_filter_registered_10_months))?>;
                    jQuery("#count_clients").text(parseInt(clients));
                    jQuery("#country_value").addClass("show");
                    jQuery("#nb_sms_send").text(num_sms * parseInt(clients));
                    jQuery("#nb_sms_credit").text(balance - num_sms * parseInt(clients));
                    if (balance - num_sms * parseInt(clients) < 0){
                        jQuery("#send_sms_market").prop('disabled', true);
                        jQuery("#send_sms_market_model").prop('disabled', true);
                        jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
                    }
                    else{
                        jQuery("#send_sms_market").prop('disabled', false);
                        jQuery("#send_sms_market_model").prop('disabled', false);
                    }
                    break;
                default:
                    jQuery("#count_clients").text(parseInt(<?php echo esc_html(count($clients_ok));?>));
                    jQuery("#country_value").addClass("show");
                    jQuery("#nb_sms_send").text(num_sms * parseInt(<?php echo esc_html(count($clients_ok));?>));
                    jQuery("#nb_sms_credit").text(balance - num_sms * parseInt(<?php echo esc_html(count($clients_ok));?>));
                    if (balance - num_sms * parseInt(<?php echo esc_html(count($clients_ok));?>) < 0){
                        jQuery("#send_sms_market").prop('disabled', true);
                        jQuery("#send_sms_market_model").prop('disabled', true);
                        jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
                    }
                    else{
                        jQuery("#send_sms_market").prop('disabled', false);
                        jQuery("#send_sms_market_model").prop('disabled', false);
                    }
                    break;
            }
        });
        
        //When choosing which country to filter with
        var count = 0;
        select_country.addEventListener('change', function() {
            for (var key in clients_country) {
                if (clients_country[key] == this.value) {
                    count++;
                }
            }
            clients = count;
            jQuery("#count_clients").text(parseInt(clients));
            jQuery("#nb_sms_send").text(num_sms * parseInt(clients));
            jQuery("#nb_sms_credit").text(balance - num_sms * parseInt(clients));
            if (balance - num_sms * parseInt(clients) < 0){
                jQuery("#send_sms_market").prop('disabled', true);
                jQuery("#send_sms_market_model").prop('disabled', true);
                jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
            }
            else{
                jQuery("#send_sms_market").prop('disabled', false);
                jQuery("#send_sms_market_model").prop('disabled', false);
            }
        });

        //Select to choose a model
        select.addEventListener('change', function() {
            if (this.value == ""){
                jQuery("#nb_sms_credit").text(balance);
                jQuery("#nb_sms_send").text(0);
            }
            else{
                for (const [key, value] of Object.entries(<?php echo wp_kses_data($model_list)?>)){
                    if (value['name'] == this.value){
                        jQuery("#nb_sms_send").text(((value['nb_sms']) * parseInt(clients)));
                        num_sms = value['nb_sms'];
                        jQuery("#nb_sms_credit").text(balance - num_sms * parseInt(clients));
                        if (balance - num_sms * parseInt(clients) < 0){
                            jQuery("#send_sms_market").prop('disabled', true);
                            jQuery("#send_sms_market_model").prop('disabled', true);
                            jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
                        }
                        else{
                            jQuery("#send_sms_market").prop('disabled', false);
                            jQuery("#send_sms_market_model").prop('disabled', false);
                        }
                    }
                };
            }
            
        });

        jQuery("#nb_sms_credit").text(balance - parseInt(clients));
        jQuery("#nb_sms_send").text(parseInt(clients));

        var num_sms = 1;
        //Check charaters (basic, no UNICODE checking) + number of messages
        function lws_sms_charSMS(unicode = null){
            if (unicode){
                length = [70, 134, 201, 268, 335, 402, 469, 536, 603];
            }
            else{
                length = [160, 306, 459, 612, 765, 918, 1071, 1224, 1377];
            }

            var num_sms = 1;
            if (sms.val().length <= length[0]){
                jQuery("#number_char").text(sms.val().length + "/" + length[0]);
                jQuery("#number_message").val(1);
                jQuery("#nb_sms_send").text(parseInt(clients))
                num_sms = parseInt(clients);
                
            }
            else if (sms.val().length > length[length.length -1]){
                jQuery("#number_char").text(sms.val().length + "/" + length[length.length -1] + "+");
                jQuery("#number_message").val(length.length + '+');
                jQuery("#nb_sms_send").text(((length.length) * parseInt(clients)) + "+")
                num_sms = (length.length) * parseInt(clients);
            }
            else{
                for (var i = 1; i < length.length; i++) {
                    if (sms.val().length > length[i-1] && sms.val().length <= length[i]){
                        jQuery("#number_char").text(sms.val().length + "/" + length[i]);
                        jQuery("#number_message").val(i+1);
                        jQuery("#nb_sms_send").text((i+1) * parseInt(clients))
                        num_sms = (i+1) * parseInt(clients);
                    }
                };
            }
            
            jQuery("#nb_sms_credit").text(balance - num_sms);
            if (balance - num_sms < 0){
                jQuery("#send_sms_market").prop('disabled', true);
                jQuery("#send_sms_market_model").prop('disabled', true);
                jQuery("#nb_sms_credit").text("<?php esc_html_e("[Not enough credits]", "lws-sms")?>");
            }
            else{
                jQuery("#send_sms_market").prop('disabled', false);
                jQuery("#send_sms_market_model").prop('disabled', false);
            }

            return num_sms;
        }
        
        lws_sms_charSMS(false);
        
        jQuery(function(){ // this will be called when writing in the TA
            jQuery("#marketing_model").keyup(function(){
                clearTimeout(typingTimer);
                typingTimer = setTimeout(lws_sms_doneTyping, doneTypingInterval);
            });
        });

        function lws_sms_doneTyping(){
            var txt = sms.val();
            var data = {
                action: "unicodeChecker",
                ajax_text : txt,
		    };

		    jQuery.post(ajaxurl, data, function(response) {
		        lws_sms_charSMS(response);
		    });
        }
    
        //Add variable at position in the textarea
        function lws_sms_addVar(e){
            var sms = jQuery('#marketing_model');
            var smsValue = sms.val();
            var variable = e.value;
            var add_at_position = sms.prop( "selectionEnd" );
            var nextSelectionEnd = ( add_at_position + variable.length );
    
            sms.val(
                smsValue.slice( 0, add_at_position ) +
                variable +
                smsValue.slice( add_at_position )
            );
    
            sms
                .prop( "selectionStart", nextSelectionEnd )
                .prop( "selectionEnd", nextSelectionEnd )
                .focus()
            ;
            
            lws_sms_doneTyping();
        }
</script>
</div>
<?php endif ?>
