<?php //If connected
if ((get_option("lws_sender_id"))|| (get_option("lws_user_sms")) ) :?>
    <div class="welcome_bloc">
        <h3 style="font-size:22px"><?php esc_html_e("Plugin Overview", "lws-sms");?></h3>
        <?php $arr = array('a' => array('href' => array(), 'target' => array(), ), 'strong' => array(), 'q' => array() );?>

        <p>
            <?php esc_html_e("With LWS SMS, you can create your own SMS templates and configure them to be sent to your clients on specific occasions.", "lws-sms");?> <br>
            <?php esc_html_e("This plugin allow you to launch SMS Campaigns. Be it sending advertisments, proposing special offers or giving updates about an order, you can do it with this plugin.", "lws-sms");?> <br> <br>
            <?php echo wp_kses(__("To use said plugin, you need SMS credits, recheargable at <a href='https://www.lws.fr/envoyer-sms-par-internet.php' target='_blank'>our website</a>.", "lws-sms"), $arr);?> <br>
            <?php esc_html_e("Please note that LWS SMS is intended to be used with WooCommerce. Please install it to access the whole functionalities of this extension.", "lws-sms");?> <br>
        </p>

        <br>
        
        <div class="bloc_total bloc_general">
            <div class="bloc_sms_general">
                <h3 class="bloc_general_titre"><?php esc_html_e("SMS Balance", "lws-sms");?></h3>
                    <span id="display_sms_left" class="text"><?php echo esc_html($SMSBalance . " SMS")?></span> <br>
                        <form method="POST" class="form_mail_alert_general">
                            <?php esc_html_e("Mail alert at: ", "lws-sms")?>
                            <input style="width: 65px;" type="number" id="alert_sms" name="alert_sms" min="1" value="<?php echo esc_attr($alert_sms)?>"> SMS <br>
                            <input class="button_connect bloc_general_button" style="margin-top: 7px;" name="change_alert_sms" type="submit" id='submit' value="<?php esc_attr_e("Update alert", "lws-sms")?>">
                        </form>
            </div>
            
            <div style="text-align:center" class="bloc_sender_general">
                <h3 style="text-align:center" class="bloc_general_titre"><?php esc_html_e("Senders", "lws-sms");?></h3>
                <ul class="list-style">
                    <?php $limit = 3; $i = 0?>
                    <?php foreach ($sender_ids as $key => $value): ?>
                        <?php if ($i < $limit) : ?>
                            <li> <?php echo esc_html($value)?></li>
                        <?php endif ?>
                        <?php $i++;?>
                    <?php endforeach ?>
                </ul>
                
                <a href="admin.php?page=sms-api-settings&tab=senders" class="button_connect bloc_general_button"><?php esc_html_e("Display every senders", "lws-sms");?></a>
            </div>
        </div>
        <div class="bloc_history_general">
            <h3 class="bloc_general_titre"><?php esc_html_e("Most recent SMS: ", "lws-sms");?></h3>
            <div style="padding: 0 15px 1em;">
                <table id="table_history" class="styled-table noDataTable">
                    <thead>
                        <tr class="active-row">
                            <th>
                                <?php esc_html_e("Sender", "lws-sms")?>
                            </th>
                            <th>
                                <?php esc_html_e("Message", "lws-sms")?>
                            </th>
                            <th>
                                <?php esc_html_e("Status", "lws-sms")?>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $limit = 5; $i = 0?>
                        <?php foreach ($list_history as $history) : ?>
                            <?php if ($i < $limit) : ?>
                                <td> <?php echo esc_html($history['sender']); ?> </td>
                                <td> <?php echo esc_html(wordwrap($history['message'], 60, "<br />\n")); ?> </td>
                                <td> <?php echo esc_html(explode("|", $history['status'])[0]); ?> </td>
                                </tr>
                            <?php $i++; ?>
                            <?php endif ?>
                        <?php endforeach ?>
                    </tbody>
                </table>
            </div>
            <a href="admin.php?page=sms-api-settings&tab=history" class="button_connect bloc_general_button"><?php esc_html_e("Display the entire SMS History", "lws-sms");?></a>   
        </div>
    </div>
<?php endif ?>
</div>

<script>
    if  (<?php echo esc_html($SMSBalance)?> <= <?php echo esc_html($alert_sms) ?>){
        jQuery('#display_sms_left').addClass('text_red');
    }
</script>
