<div class="welcome_bloc">
    <h3 style="font-size:22px"><?php esc_html_e("Senders List", "lws-sms");?></h3>
    <?php $arr = array('a' => array('href' => array(), 'target' => array()));?>

    <p>
        <?php esc_html_e("On this page, you can find every SenderID that have been accepted on your account.", "lws-sms");?> <br>
        <?php esc_html_e("By filling up the form, you can request another ID, but please be aware of the rules below: ", "lws-sms");?> <br>
        <ul style="list-style: inside;">
            <li><?php esc_html_e("Validation of your ID may take up to a few hours as it is manually checked by an operator", "lws-sms");?> </li>
            <li><?php esc_html_e("Your ID must be in the alphanumeric format and 11 characters maximum", "lws-sms");?> </li>
            <li><?php esc_html_e("Your ID must contains at least 1 letter", "lws-sms");?> </li>
        </ul>
        <?php esc_html_e("You are a professional and want to use our service to send messages related to banks, finance, pension, state-related administration, postal delivery, ... ?", "lws-sms");?><br>
        <?php echo wp_kses(__("Please contact us via a <a href='https://sms.lws.fr/user/tickets/create-new' target='_blank'>ticket</a> on our website indicating your line of business, your company's name as well as any document proving the veracity of your claims.", "lws-sms"), $arr);?> <br>
        <?php esc_html_e("Otherwise, such requests will be refused.", "lws-sms");?> <br>
    </p>
    
    <br>
    
    <div class="bloc_total sender_bloc">
        <div class="sender_list">
            <table id="list_senders" class="styled-table dataTable no-footer">
                <thead>
                    <tr class="active-row">
                        <th>
                            <?php esc_html_e("Senders", "lws-sms");?>
                        </th>
                    </tr>
                </thead>
                <tbody>
                <?php foreach ($sender_ids as $key => $value) :?>
                    <tr>
                        <td>
                            <?php echo esc_html($value) ?>
                        </td>
                    </tr>
                <?php endforeach ?>
            </table>
        </div>
        <br>
        <div class="bloc_add_sender">
            <form class="form_bloc" method="POST">
                <input class="form_size" type="text" placeholder="<?php esc_attr_e("Sender ID", "lws-sms")?>" name="sender_name" maxlength="11" required>
                <br><br>
                <input class="button_connect overview" name="new_sender" type="submit" id='submit' value="<?php esc_attr_e("Add a Sender", "lws-sms")?>">
            </form>
            <small><?php esc_html_e("Please read the rules before adding a new SenderID.", "lws-sms");?> <br> 
            <?php esc_html_e("Too much rejected requests may result in a ban.", "lws-sms")?></small>
            <?php if(isset($is_added)) : ?>
                <?php if($is_added) : ?>
                    <div class='success_message'><?php echo esc_html($add_message)?></div>
                <?php else : ?>
                    <div class='error_message'><?php echo esc_html($add_message)?></div>
                <?php endif ?>
            <?php endif ?>
        </div>
    </div>
    <script>
        jQuery(document).ready(function($) {
            jQuery('#list_senders').DataTable({
                lengthMenu: [
                    [5, 10, 25, 50],
                    [5, 10, 25, 50],
                ],
                <?php if(get_locale() == 'fr_FR') : ?>
                    language: {
                        url: "<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'languages/fr-FR.json')?>"
                    }
                <?php endif ?>
            });
        });
    </script>
</div>
