<div class="welcome_bloc">
    <h3 style="font-size:22px"><?php esc_html_e("Template management", "lws-sms");?></h3>
    <?php if ($model_error) :?>
        <div class="error_message">
            <?php echo esc_html($model_error_message) ?>
        </div>
    <?php endif ?>
    
    <p>
        <?php 
            esc_html_e("Here is the place where you will create your own templates to send SMS." ,"lws-sms");
        ?>
            <br>
        <?php
            esc_html_e("Click on the button below to open a new window where you will be able to create one.", "lws-sms");
        ?>
            <br>
        <?php
            esc_html_e("Please be aware that you will need an active sender ID to use our services.", "lws-sms")
        ?>
    </p>
    
    <br>
    
    <button type="button" class="button_connect" data-open="models-creator"><?php esc_html_e("Add a new template", "lws-sms")?></button> <br> <br>
    <p> <b><?php esc_html_e("Help for the template tags:", "lws-sms")?></b>
        <ul style="list-style: inside;">
            <li><?php esc_html_e("'Client' tags are used when your SMS is adressed to at least one client", "lws-sms")?></li>
            <li><?php esc_html_e("'Order' tags are used when your SMS is about an order in general", "lws-sms")?></li>
            <li><?php esc_html_e("'Product' tags are to be used for the <stock alert> SMS or the <lost cart> SMS", "lws-sms")?></li>
            <li><?php esc_html_e("'Coupon' tags are used when your SMS is about a coupon", "lws-sms")?></li>
            <li><?php esc_html_e("'Miscelleanous' tags can be used no matter the SMS", "lws-sms")?></li>
            <li><?php esc_html_e("'Daily Logs' tags can be used when sending daily SMS to yourself", "lws-sms")?></li>
        </ul>
    </p>
    <br>
    
    <div class="modal <?php echo $edit_model ? esc_attr('is-visible') : ""?>" id="models-creator">
        <div class="modal-dialog">
            <header class="modal-header">
                <h1> <?php echo $edit_model ? esc_html__("Edit template: ", "lws-sms") . esc_html($edit_model['name']) : esc_html__("Create your own template", "lws-sms")?></h1>
            </header>
            <section>
                <form class="form_model" method="POST">
                    <div class="bloc_total">
                        <div>
                            <label for="model_name"><?php esc_html_e("Enter your template name:", "lws-sms")?> </label><br>
                            <input class="form_input input_template" type="text" placeholder="<?php esc_html_e("Enter a name", "lws-sms")?>" name="model_name" id="model_name" required value="<?php echo $edit_model ? esc_attr($edit_model['name']) : ""?>">
                        </div>
                        <br>
                        <div id="senderId_select">
                            <label for="senders_select"><?php esc_html_e("Select you sender ID:", "lws-sms")?> </label><br>
                            <select class="form_input input_template" id="senders_select" name="senders_select">
                            <?php foreach ($sender_ids as $key => $value) :?>
                                <?php if ($edit_model && $edit_model['sender'] == $value) : ?>
                                    <option selected value="<?php echo esc_attr($value);?>"><?php echo esc_html($value);?></option>
                                <?php else : ?>
                                    <option value="<?php echo esc_attr($value);?>"><?php echo esc_html($value);?></option>
                                <?php endif ?>
                            <?php endforeach ?>
                            </select>
                        </div>
                    </div>
                    <br>
                    <div class="half_modal"> 
                        <div class="bloc_select_tags">
                            <select class="form_input select_tags input_template" id="tags_select" name="tags_select">
                                <option selected value="user"><?php esc_html_e("Client", "lws-sms")?></option>
                                <option value="order"><?php esc_html_e("Order", "lws-sms")?></option>
                                <option value="product"><?php esc_html_e("Product", "lws-sms")?></option>
                                <option value="coupon"><?php esc_html_e("Coupon", "lws-sms")?></option>
                                <option value="base"><?php esc_html_e("Miscellaneous", "lws-sms")?></option>
                                <option value="daily"><?php esc_html_e("Daily logs", "lws-sms")?></option>
                            </select>
                            
                            <div class="bloc var_bloc" id="variables">
                                <span id="user">
                                    <button class="button_connect variable" type="button" value="[[Nom]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Name", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[Prenom]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("First name", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[Adresse]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Address", "lws-sms");?></button>
                                </span>
            
                                <span id="order" class="show">
                                    <button class="button_connect variable" type="button" value="[[Prix]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Price", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[NumCmde]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Num Cmd", "lws-sms");?></button>
                                </span>
                                
                                <span id="product" class="show">
                                    <button class="button_connect variable" type="button" value="[[NomProduit]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Product Name", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[PrixProduit]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Product Price", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[DescriptionProduit]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Product Description", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[ListePanier]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Cart Content", "lws-sms");?></button>
                                </span>
                                
                                <span id="coupon" class="show">
                                    <button class="button_connect variable" type="button" value="[[CodeCoupon]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Coupon Code", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[DescriptionCoupon]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Coupon Description", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[ValeurCoupon]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Coupon Value", "lws-sms");?></button>
                                </span>
                                
                                <span id="base" class="show">
                                    <button class="button_connect variable" type="button" value="[[Date]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Date", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[NomSite]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Website Name", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[URLSite]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Website URL", "lws-sms");?></button>
                                </span>
                                
                                <span id="daily" class="show">
                                    <button class="button_connect variable" type="button" value="[[PanierAbandonnes]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Lost Carts", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[MontantTotal]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Amount", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[Commandes]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Orders", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[NouveauxClients]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("New Clients", "lws-sms");?></button>
                                    <button class="button_connect variable" type="button" value="[[MeilleureVente]]" onclick="lws_sms_addVar(this)"><?php esc_html_e("Best seller", "lws-sms");?></button>
                                </span>
                            </div>
                        </div>
                        
                        <br>
                        <div class="bloc_text">
                            <label for="sms_model"><?php esc_html_e("Write your SMS template:", "lws-sms")?> </label><br>
                            <textarea style="height:90px;" class="form_input" id="sms_model" name="sms_model" required placeholder="<?php esc_attr_e("Write your SMS template here. Use the variables on the side to further personnalize your SMS.", "lws-sms")?>"><?php echo $edit_model ? esc_html($edit_model['message']) : ""?></textarea>
                            <small id="number_char">0/160</small>
                            <small><?php esc_html_e("character(s) | ", "lws-sms");?></small><small>SMS: </small>
                            <small><input class="nb_sms" name="number_message" id="number_message" readonly value=1></small>
                            <br>
                            <small><?php esc_html_e("If you are using tags, please be aware that this value is but an approximation as the real text behind the tags could be longer or shorter.", "lws-sms")?> </small>
    
                        </div>
                    </div>                
                    <br>
                    <?php if ($edit_model) :?>
                    <input id="editing" name="editing" type="hidden" value=true>
                    <input type="hidden" name="model_key" id="model_key" value="<?php echo esc_attr($edit_key)?>">
                    <input type="hidden" name="model_id" id="model_id" value="<?php echo esc_attr($edit_id)?>">
                    <?php endif ?>
                    <div style="text-align:center">
                        <input class="button_connect form_model_submit" name="validate_model" type="submit" id="submit" value="<?php esc_attr_e("Save the template", "lws-sms")?>">
                        <button type="button" class="button_connect" data-close="models-creator"><?php esc_html_e("Close", "lws-sms")?></button> 
                    </div>
                </form>
            </section>
        </div>
    </div>

<script>
    //Check charaters (basic, no UNICODE checking) + number of messages
    let typingTimer;                //timer identifier
    let doneTypingInterval = 500;  //time in ms
    var sms = jQuery('#sms_model');
    function lws_sms_charSMS(unicode = null){
        if (unicode){
            length = [70, 134, 201, 268, 335, 402, 469, 536, 603];
        }
        else{
            length = [160, 306, 459, 612, 765, 918, 1071, 1224, 1377];
        }
        if (sms.val().length <= length[0]){
            jQuery("#number_char").text(sms.val().length + "/" + length[0]);
            jQuery("#number_message").val(1);

        }
        else if (sms.val().length > length[length.length -1]){
            jQuery("#number_char").text(sms.val().length + "/" + length[length.length -1] + "+");
            jQuery("#number_message").val(length.length + '+');
        }
        else{
            for (var i = 1; i < length.length; i++) {
                if (sms.val().length > length[i-1] && sms.val().length <= length[i]){
                    jQuery("#number_char").text(sms.val().length + "/" + length[i]);
                    jQuery("#number_message").val(i+1);
                }
            }
        }
    }

    jQuery(function(){ // this will be called when writing in the TA
        jQuery("#sms_model").keyup(function(){
                clearTimeout(typingTimer);
                typingTimer = setTimeout(lws_sms_doneTyping, doneTypingInterval);
            });
        });


        function lws_sms_doneTyping(){
            var txt = jQuery("#sms_model").val();
            var data = {
                action: "unicodeChecker",
                ajax_text : txt,
		    };

		    jQuery.post(ajaxurl, data, function(response) {
		        lws_sms_charSMS(response);
		    });
        }

    //Add variable at position in the textarea
    function lws_sms_addVar(e){
        var sms = jQuery('#sms_model');
        var smsValue = sms.val();
        var variable = e.value;
        var add_at_position = sms.prop( "selectionEnd" );
        var nextSelectionEnd = ( add_at_position + variable.length );

        sms.val(
            smsValue.slice( 0, add_at_position ) +
            variable +
            smsValue.slice( add_at_position )
        );

        sms
            .prop( "selectionStart", nextSelectionEnd )
            .prop( "selectionEnd", nextSelectionEnd )
            .focus()
        ;
        
        lws_sms_charSMS();
    }
    
    document.querySelector("[data-open]").addEventListener("click", function(){
        document.getElementById(this.dataset.open).classList.add("is-visible");
        jQuery('body').css({'overflow':'hidden'});
    });
    document.querySelector("[data-close]").addEventListener("click", function(){
        jQuery('#models-creator').removeClass("is-visible");
        jQuery('body').css({'overflow':'visible'});
        <?php if ($edit_model) : ?>
            location.reload();
        <?php endif ?>
    });
    
    document.addEventListener("click", e => {
        if (e.target == document.querySelector(".modal.is-visible")) {
            document.querySelector(".modal.is-visible").classList.remove("is-visible");
            jQuery('body').css({'overflow':'visible'});
            <?php if ($edit_model) : ?>
            location.reload();
            <?php endif ?>
        }
    });

    document.addEventListener("keyup", e => {
        if (e.key == "Escape" && document.querySelector(".modal.is-visible")) {
            document.querySelector(".modal.is-visible").classList.remove("is-visible");
            jQuery('body').css({'overflow':'visible'});
            <?php if ($edit_model) : ?>
                location.reload();
            <?php endif ?>
        }
    });
    
    <?php if ($edit_model) : ?>
        jQuery('body').css({'overflow':'hidden'});
        lws_sms_charSMS();
    <?php endif ?>
    
    var tags = document.querySelector("#tags_select");
    tags.addEventListener('change', function(){
            jQuery("#user").addClass('show');
            jQuery("#product").addClass('show');
            jQuery("#order").addClass('show');
            jQuery("#coupon").addClass('show');
            jQuery("#base").addClass('show');
            jQuery("#daily").addClass('show');
            jQuery("#" + this.value).removeClass('show');
    });
</script>
    
    <?php if ($model_list) : ?>
        <table id="list_model" class="styled-table">
            <thead>
                <tr class="active-row">
                <th>
                    <?php esc_html_e("Name", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Sender", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Used", "lws-sms");?>
                </th>
                <th>
                    <?php esc_html_e("Actions", "lws-sms");?>
                </th>
            </thead>
            <tbody>
                <?php foreach ($model_list as $model) :?>
                    <tr>
                        <td>
                            <?php echo esc_html($model['name']); ?>
                        </td>
                        <td>
                            <?php echo esc_html($model['sender']); ?>
                        </td>
                        <td class="model-in-use">
                        <?php foreach ($model['in_use'] as $id => $used): ?> 
                            <?php if($used == "NO"): ?>
                                <span><?php esc_html_e("Not used", "lws-sms");?></span><br>
                            <?php elseif (substr($used, 0, 5) === "admin") : ?>
                                <?php echo "<span>" . esc_html(ADMIN_HOOKS_TRAD[explode("|", $id)[1]]) . "</span><br>"?>
                            <?php else : ?>
                                <?php echo "<span>" . esc_html(HOOKS_TRAD[$id]) . "</span><br>"?>
                            <?php endif ?>
                        <?php endforeach ?>
                        </td>
                        <td>
                        <form class='form_table' method="POST">
                            <input id="model_name" name="model_name" type="hidden" value="<?php echo esc_attr($model['name'])?>">
                            <input id="edit_model" name="edit_model" class="button_connect table" type="submit" value="<?php esc_attr_e("Edit", "lws-sms");?>"/>
                            <input id="delete_model" name="delete_model" onclick="return confirm('<?php esc_html_e('Are you sure you want to delete ?', 'lws-sms');?>')" class="button_connect table btn-delete-template" type="submit" value="<?php esc_attr_e("Delete", "lws-sms");?>"/>
                        </form>
                        </td>
                    </tr>
                <?php endforeach ?>
            </tbody>
        </table>
    
        <script>
            var gsm_7bit_basic = "@£$¥èéùìòÇ\nØø\rÅåΔ_ΦΓΛΩΠΨΣΘΞÆæßÉ !\"#¤%&'()*+,-./0123456789:;<=>?¡ABCDEFGHIJKLMNOPQRSTUVWXYZÄÖÑÜ§¿abcdefghijklmnopqrstuvwxyzäöñüà";
            var gsm_7bit_extended = "^{}\\[~]|€";
            var table;
            
            jQuery(document).ready(function($) {
                table = jQuery('#list_model').DataTable({
                    responsive: true,
                <?php if(get_locale() == 'fr_FR') : ?>
                    language: {
                        url: "<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'languages/fr-FR.json')?>"
                    }
                <?php endif ?>
                });
            });
        </script>
    <?php endif ?>
</div>
